# Class VerifyingFileFactory

java.lang.Object
org.apache.zookeeper.server.util.VerifyingFileFactory

public final class VerifyingFileFactory extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`VerifyingFileFactory.Builder`

## Constructor Summary

Constructors
Constructor
Description
`VerifyingFileFactory(VerifyingFileFactory.Builder builder)`

## Method Summary

Modifier and Type
Method
Description
`File`
`create(String path)`
`File`
`validate(File file)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerifyingFileFactory

public VerifyingFileFactory(VerifyingFileFactory.Builder builder)

## Method Details

### create

public File create(String path)

### validate

public File validate(File file)